vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 28
声望: 0

有更新了,但是遇到这个问题

准备更新的包:
  vnpy : 2.0.7 -> 2.0.8

点击下方按钮开始更新

开始更新:vnpy
更新失败:vnpy
b'  Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by \'ReadTimeoutError("HTTPSConnectionPool(host=\'files.pythonhosted.org\', port=443): Read timed out. (read timeout=15)")\': /packages/c3/d7/de27dad4e74edb3df4fa67091437f864084ddb3b74c10715ee1b5572d0df/QScintilla-2.11.3-cp35.cp36.cp37.cp38-none-win_amd64.whl\r\n  Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by \'ReadTimeoutError("HTTPSConnectionPool(host=\'files.pythonhosted.org\', port=443): Read timed out. (read timeout=15)")\': /packages/c3/d7/de27dad4e74edb3df4fa67091437f864084ddb3b74c10715ee1b5572d0df/QScintilla-2.11.3-cp35.cp36.cp37.cp38-none-win_amd64.whl\r\nException:\r\nTraceback (most recent call last):\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\urllib3\\response.py", line 360, in _error_catcher\r\n    yield\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\urllib3\\response.py", line 442, in read\r\n    data = self._fp.read(amt)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\cachecontrol\\filewrapper.py", line 62, in read\r\n    data = self.__fp.read(amt)\r\n  File "C:\\vnstudio\\lib\\http\\client.py", line 447, in read\r\n    n = self.readinto(b)\r\n  File "C:\\vnstudio\\lib\\http\\client.py", line 491, in readinto\r\n    n = self.fp.readinto(b)\r\n  File "C:\\vnstudio\\lib\\socket.py", line 589, in readinto\r\n    return self._sock.recv_into(b)\r\n  File "C:\\vnstudio\\lib\\ssl.py", line 1052, in recv_into\r\n    return self.read(nbytes, buffer)\r\n  File "C:\\vnstudio\\lib\\ssl.py", line 911, in read\r\n    return self._sslobj.read(len, buffer)\r\nsocket.timeout: The read operation timed out\r\n\r\nDuring handling of the above exception, another exception occurred:\r\n\r\nTraceback (most recent call last):\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\cli\\base_command.py", line 179, in main\r\n    status = self.run(options, args)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\commands\\install.py", line 315, in run\r\n    resolver.resolve(requirement_set)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\resolve.py", line 131, in resolve\r\n    self._resolve_one(requirement_set, req)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\resolve.py", line 294, in _resolve_one\r\n    abstract_dist = self._get_abstract_dist_for(req_to_install)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\resolve.py", line 242, in _get_abstract_dist_for\r\n    self.require_hashes\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\operations\\prepare.py", line 334, in prepare_linked_requirement\r\n    progress_bar=self.progress_bar\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 878, in unpack_url\r\n    progress_bar=progress_bar\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 702, in unpack_http_url\r\n    progress_bar)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 946, in _download_http_url\r\n    _download_url(resp, link, content_file, hashes, progress_bar)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 639, in _download_url\r\n    hashes.check_against_chunks(downloaded_chunks)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\utils\\hashes.py", line 62, in check_against_chunks\r\n    for chunk in chunks:\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 607, in written_chunks\r\n    for chunk in chunks:\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\utils\\ui.py", line 159, in iter\r\n    for x in it:\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_internal\\download.py", line 596, in resp_read\r\n    decode_content=False):\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\urllib3\\response.py", line 494, in stream\r\n    data = self.read(amt=amt, decode_content=decode_content)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\urllib3\\response.py", line 459, in read\r\n    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)\r\n  File "C:\\vnstudio\\lib\\contextlib.py", line 130, in __exit__\r\n    self.gen.throw(type, value, traceback)\r\n  File "C:\\vnstudio\\lib\\site-packages\\pip\\_vendor\\urllib3\\response.py", line 365, in _error_catcher\r\n    raise ReadTimeoutError(self._pool, None, \'Read timed out.\')\r\npip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=\'files.pythonhosted.org\', port=443): Read timed out.\r\nYou are using pip version 19.0.3, however version 19.3.1 is available.\r\nYou should consider upgrading via the \'python -m pip install --upgrade pip\' command.\r\n'

部分包更新失败!
Member
avatar
加入于:
帖子: 28
声望: 0

是我网络过慢的问题,
换了个网络,更新完pip,再去更新vn station就成功了。

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3